#ifndef BUILDER_BUILDER_
#define BUILDER_BUILDER_

#include <memory>

namespace builder {

class Builder {
 public:
  class Impl;

  Builder();
  void DumpModule();
  std::shared_ptr<Impl> GetImpl() { return _impl; }

 private:
  std::shared_ptr<Impl> _impl;
};
}  // namespace builder

#endif